# $Revision: 1.161 $, $Date: 2011/07/31 14:27:53 $
# TODO
# - bootstrap fails if /usr/share/pear/.lock doesn't exist (just create it as 644)
# - should understand as php extension (php-pear-Auth):
#   pear/Auth can optionally use package "pecl/vpopmail" (version >= 0.2)
#   pear/Auth can optionally use package "pecl/kadm5" (version >= 0.2.3)
#
%define		_pearname	PEAR
%define		_status		stable
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	PEAR Base System
Summary(pl.UTF-8):	Podstawowy system PEAR
Name:		php-pear-%{_pearname}
Version:	1.9.4
Release:	1
Epoch:		1
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c52b09758e851235e6a93a2c1e1a8ee9
Source1:	http://pear.php.net/get/Console_Getopt-1.2.3.tgz
# Source1-md5:	d7618327f9302a7191893768982de823
Source2:	http://pear.php.net/get/Structures_Graph-1.0.3.tgz
# Source2-md5:	d2d8db74818be5cb0af7def3fc285bfc
Patch0:		%{name}-sysconfdir.patch
Patch5:		%{name}-FHS.patch
URL:		http://pear.php.net/package/PEAR
BuildRequires:	/usr/bin/php
BuildRequires:	php(pcre)
BuildRequires:	php(xml)
BuildRequires:	rpm-php-pearprov >= 4.4.2-30.1
BuildRequires:	rpmbuild(macros) >= 1.563
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	/usr/bin/php
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-pcre
Requires:	php-pear >= 4:1.2-1
Requires:	php-pear-Archive_Tar >= 1.3.7
Requires:	php-pear-Console_Getopt >= 1.2
Requires:	php-pear-Structures_Graph >= 1.0.2
Requires:	php-pear-XML_Util >= 1.2.0
Requires:	php-xml
Requires:	php-zlib
Requires:	rpm-whiteout
Suggests:	php-pear-Net_FTP
Obsoletes:	php-pear-PEAR-Command
Obsoletes:	php-pear-PEAR-Frontend_CLI
Obsoletes:	php-pear-PEAR-OS
Conflicts:	php-pear-PEAR_Frontend_Gtk < 0.4.0
Conflicts:	php-pear-PEAR_Frontend_Web < 0.5.0
Conflicts:	rpm-whiteout < 1.1
Conflicts:	rpmbuild(macros) < 1.563
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# PEAR_Command_Packaging is separate package
# PEAR_FTP is optional
%define		_noautoreq	'pear(PEAR/FTP.php)' 'pear(Net/FTP.php)' 'pear(XML/RPC.*)' 'pear(PEAR/Command/Packaging.php)'

%description
The PEAR package contains:
- the PEAR installer, for creating, distributing and installing
  packages
- the alpha-quality PEAR_Exception PHP5 error handling mechanism
- the beta-quality PEAR_ErrorStack advanced error handling mechanism
- the PEAR_Error error handling mechanism
- the OS_Guess class for retrieving info about the OS where PHP is
  running on
- the System class for quick handling of common operations with files
  and directories
- the PEAR base class packages

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet PEAR zawiara:
- PEAR installer do tworzenia, dystrybucji i instalowania pakietów,
- mechanizm PEAR_Exception (w fazie alpha) do obsługi błędów PHP5,
- zaawansowany mechanizm PEAR_ErrorStack (w fazie beta) do obsługi
  błędów,
- mechanizm obsługi błędów PEAR_Error,
- klasę OS_Guess do pozyskiwania informacji na temat systemu
  operacyjnego,
- klasę System do szybkiej obsługi typowych operacji na plikach i
  katalogach,
- podstawową klasy PEAR.

Ta klasa ma w PEAR status: %{_status}.

%package core
Summary:	PEAR core classes
Summary(pl.UTF-8):	Główne klasy PEAR-a
Group:		Development/Languages/PHP
Requires:	php-common >= 4:%{php_min_version}

%description core
This package includes PEAR core classes:
- PEAR class and PEAR_Error
- System
- OS_Guess
and classes for PHP 5:
- PEAR_ErrorStack and PEAR_Exception

%description core -l pl.UTF-8
Ten pakiet zawiera główne klasy PEAR-a:
- klasę PEAR i PEAR_Error
- System
- OS_Gueass
oraz klasy dla PHP 5:
- PEAR_ErrorStack i PEAR_Exception

%prep
%define __build_dir %{_builddir}/%{_pearname}-%{version}%{?_rc}
%define	__php_include_path %{__build_dir}/%{_pearname}-%{version}%{?_rc}:%{__build_dir}/%(basename %{SOURCE1} .tgz):%{__build_dir}/%(basename %{SOURCE2} .tgz)
%define __pear php -dmemory_limit=-1 -doutput_buffering=1 -dinclude_path="%__php_include_path" %{__build_dir}/%{_pearname}-%{version}%{?_rc}/scripts/pearcmd.php

%setup -q -c -n %{_pearname}-%{version} -a1 -a2
%pear_package_setup -z -D -n %{_pearname}-%{version}%{?_rc}

%patch0 -p1
%{?with_FHS:%patch5 -p1}

find '(' -name '*~' -o -name '*.orig' ')' | xargs -r rm -v

%build
D=$(pwd)
pearcmd() {
	%{__pear} -c ${D}/pearrc "$@"
}
pearcmd config-set doc_dir %{_docdir}
pearcmd config-set data_dir %{php_pear_dir}/data
pearcmd config-set php_dir %{php_pear_dir}
pearcmd config-set test_dir %{php_pear_dir}/tests
pearcmd config-set sig_bin %{_bindir}/gpg
pearcmd config-set cfg_dir %{_sysconfdir}/pear

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/pear,%{php_pear_dir},%{_bindir}}
%pear_package_install
cp -a pearrc $RPM_BUILD_ROOT%{_sysconfdir}/pear.conf

# -C and -q options were for php-cgi, in php-cli they're enabled by default.
%define php_exec exec /usr/bin/php -dinclude_path=%{php_pear_dir} -doutput_buffering=1
cat > $RPM_BUILD_ROOT%{_bindir}/pear <<'EOF'
#!/bin/sh
%php_exec -dopen_basedir="" -dmemory_limit=128M %{php_pear_dir}/pearcmd.php "$@"
EOF
cat > $RPM_BUILD_ROOT%{_bindir}/peardev <<'EOF'
#!/bin/sh
%php_exec -dopen_basedir="" -dmemory_limit=-1 %{php_pear_dir}/pearcmd.php "$@"
EOF
# This -dextension=pcre.so works with php-5.1, and patched php-cli >= 4:5.0.5-18.1, php4-cli >= 3:4.4.1-6.1
# -n is there because devs on #pear said this avoids locking problems when replacing in use libraries.
cat > $RPM_BUILD_ROOT%{_bindir}/pecl <<'EOF'
#!/bin/sh
%php_exec -dmemory_limit=64M -dsafe_mode=0 -n -dextension=xml.so %{php_pear_dir}/peclcmd.php "$@"
EOF
# for rpm to find interpreter
chmod +x $RPM_BUILD_ROOT%{_bindir}/*

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

# need to bootstrap for non-root user
if [ ! -f %{php_pear_dir}/.lock ]; then
	umask 2
	%{_bindir}/pear list > /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pear.conf
%dir %{_sysconfdir}/pear
%attr(755,root,root) %{_bindir}/pear
%attr(755,root,root) %{_bindir}/peardev
%attr(755,root,root) %{_bindir}/pecl
%{php_pear_dir}/.registry/pear.reg
%{php_pear_dir}/pearcmd.php
%{php_pear_dir}/peclcmd.php
%{php_pear_dir}/PEAR/*

# in -core subpackage
%exclude %{php_pear_dir}/PEAR/ErrorStack.php
%exclude %{php_pear_dir}/PEAR/Exception.php
%exclude %{php_pear_dir}/PEAR/FixPHP5PEARWarnings.php

%{php_pear_dir}/data/*

%files core
%defattr(644,root,root,755)
%{php_pear_dir}/PEAR.php
%{php_pear_dir}/PEAR5.php
%{php_pear_dir}/System.php
%{php_pear_dir}/OS
%dir %{php_pear_dir}/PEAR
%{php_pear_dir}/PEAR/ErrorStack.php
%{php_pear_dir}/PEAR/Exception.php
%{php_pear_dir}/PEAR/FixPHP5PEARWarnings.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR.spec,v $
Revision 1.161  2011/07/31 14:27:53  glen
- up to 1.9.4

Revision 1.160  2011/04/08 20:45:32  glen
- NOTE: CVE-2011-1144 still exists as 1.9.2 fix was incomplete

Revision 1.159  2011/04/08 20:33:11  glen
- up to 1.9.2, CVE-2011-1072 php-pear: symlink vulnerability in PEAR

Revision 1.158  2010/08/23 22:30:43  glen
- memory limit up to 128 for pear wrapper

Revision 1.157  2010/08/22 10:44:03  glen
- bootstrap lockfile for non-root; rel 3

Revision 1.156  2010/08/21 19:08:17  glen
- updated deps with pearize.sh
- release 2

Revision 1.155  2010/07/20 07:24:39  glen
- release 1

Revision 1.154  2010/06/22 12:45:04  arvenil
- up to 1.9.1

Revision 1.153  2010/05/20 17:54:47  glen
- up to 1.9.0, force php5 as min ver

Revision 1.152  2010/03/10 13:14:32  glen
- channels registry moved to php-pear package completely; rel 10

Revision 1.151  2010/01/20 10:50:10  glen
- setup and use cfg_dir as /etc/pear; rel 9

Revision 1.150  2009/01/29 09:59:11  arekm
- rel 8; bump memory limit from 24MB to 64MB

Revision 1.149  2008/12/10 09:05:35  glen
- channelsdir and channel aliases dir moved to php-pear; rel 7

Revision 1.148  2008/12/09 23:18:02  glen
- revert ... wrong package

Revision 1.147  2008/12/09 23:12:38  glen
- package extra channel dirs; rel 6

Revision 1.146  2008/05/29 18:59:05  glen
- depend on rpm-whiteout to get proper dependency whiteout macro
- NOTE: do not convert to R>version, as then dependency could be solved in same transaction and rpm doesn't read new macros

Revision 1.145  2008-05-19 08:09:58  glen
- restore exec bits on scripts; rel 4

Revision 1.144  2008-05-19 08:08:39  glen
- PEAR/FixPHP5PEARWarnings.php moved to -core so -core will not depend on main pkg; rel 3

Revision 1.143  2008-05-19 07:56:18  glen
- fix typo in obsoletes; rel 2

Revision 1.142  2008-05-18 08:26:51  adamg
- updated to 1.7.2

Revision 1.141  2008-01-31 12:16:49  glen
- rel 3

Revision 1.140  2007-09-15 07:56:27  adamg
- do not try to load pcre extensiosn - it is built into core now
- release 2

Revision 1.139  2007/09/09 19:45:34  adamg
- updated to 1.6.2

Revision 1.138  2007/07/04 13:30:05  glen
- strict mode fix; rel 2

Revision 1.137  2007/07/03 22:36:41  glen
- create %build

Revision 1.136  2007/06/30 21:08:03  arekm
- up to 1.6.1

Revision 1.135  2007/02/28 23:57:30  glen
- add todo

Revision 1.134  2007/02/28 02:12:25  glen
- update to 1.5.0-RELEASE

Revision 1.133  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.132  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.131  2006/11/29 01:08:22  arekm
- rel 4

Revision 1.130  2006/11/28 23:38:22  arekm
- rel 3

Revision 1.129  2006/11/28 23:33:32  glen
- note about bootstrap

Revision 1.128  2006/11/23 13:53:31  glen
- disable memory limit for bootstrap

Revision 1.127  2006/11/23 11:36:05  glen
- BR pcre extension

Revision 1.126  2006/11/21 21:00:18  glen
- BR xml extension and php binary

Revision 1.125  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.124  2006/11/08 21:11:03  glen
- works; rel 1

Revision 1.123  2006/11/08 19:21:13  glen
- make spec moved to PEAR_Command_Packaging (including patches)
- package seems usable

Revision 1.122  2006/11/08 17:07:33  glen
- builds now, FHS changes moved as bcond

Revision 1.121  2006/11/07 23:43:41  glen
- 1.5.0a1 (not tested)

Revision 1.120  2006/11/07 23:25:56  glen
- 1.4.11 (nothing fixed: --packagingroot still unusable)

Revision 1.119  2006/06/29 22:17:38  adamg
- php-pear-XML_RPC is not required

Revision 1.118  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.117  2006/03/31 16:16:58  glen
- add blocker

Revision 1.116  2006/03/30 10:57:15  glen
- almost

Revision 1.115  2006/03/30 10:35:02  glen
- freaking typo isolated

Revision 1.114  2006/03/30 10:27:13  glen
- 1.4.9
- builds without php-pear-PEAR, but suddenly rpmbuild fails to make rpm

Revision 1.113  2006/03/07 18:20:11  glen
- lock and filemap not moved to /var until install is fixed

Revision 1.112  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.111  2006/03/07 00:42:34  glen
- missing dir

Revision 1.110  2006/03/06 23:41:18  glen
- redefine __pear also for non-bootstrap

Revision 1.109  2006/03/06 23:28:52  glen
- use more existing macros

Revision 1.108  2006/03/06 22:18:45  glen
- fix md5
- avoid pipes to catch errors

Revision 1.107  2006/03/06 21:48:45  glen
- bootstraping, note this version is still broken as it can't build packages
  already installed on system

Revision 1.106  2006/03/06 19:37:09  qboosh
- updated pl summary

Revision 1.105  2006/03/06 02:07:15  glen
- update english summary

Revision 1.104  2006/03/06 01:20:13  glen
- 1.4.8

Revision 1.103  2006/03/03 21:36:38  glen
- FHS fixes
- NB! 1.4.7 is not usable for rpm packaging

Revision 1.102  2006/03/01 10:09:01  glen
- -d open_basedir="" as upstream

Revision 1.101  2006/02/28 14:05:33  glen
- 1.4.7
- package channel files as %ghost

Revision 1.100  2006/01/09 13:10:22  glen
- up to 1.4.6

Revision 1.99  2005/12/20 07:23:24  adamg
- create spec files with PLD style naming (name.spec, not name-version.spec)
- release 4

Revision 1.98  2005/12/13 11:05:38  glen
- cat optional-packages.txt, XML_RPC is optional; rel 3

Revision 1.97  2005/12/10 00:03:00  glen
- chmod +x for rpm to autofill interpreter dep

Revision 1.96  2005/12/09 23:58:46  glen
- create pear/peardev/pecl wrappers in spec; rel 2

Revision 1.95  2005/12/09 21:13:44  glen
- use install for executables

Revision 1.94  2005/11/28 06:47:55  glen
- updated to 1.4.5

Revision 1.93  2005/11/19 13:52:44  glen
- rel 3

Revision 1.92  2005/11/08 22:20:52  qboosh
- typo, pl for -core

Revision 1.91  2005/11/08 22:09:05  glen
- -core subpackage for basic PEAR classes, as most of the PEAR packages don't require other than these

Revision 1.90  2005/11/05 18:43:12  glen
- rel 2

Revision 1.89  2005/11/05 17:49:53  glen
- up to 1.4.4
- 1.4.3 was minor security fix release

Revision 1.88  2005/11/01 14:18:02  glen
- php-cli is sufficent
- be backward/forward compatible as php(program) is just virtual to
  keep the Obsoletes/Provides proper between php4/php5, ie don't use
  it in Requires lines (use /usr/bin/php instead if need the binary),
  as PEAR detects php itself (now)

Revision 1.87  2005/11/01 13:39:29  adamg
- release 3

Revision 1.86  2005/11/01 13:32:16  adamg
- argh, typo

Revision 1.85  2005/11/01 13:27:35  adamg
- BuildRequires: php(program)

Revision 1.84  2005/11/01 12:30:37  adamg
- Requires: php-xml, php-zlib (required by pear makerpm)
- release 2

Revision 1.83  2005/10/15 13:50:28  glen
- add Conflicts with pearize.sh

Revision 1.82  2005/10/15 12:25:40  glen
- update to 1.4.2

Revision 1.81  2005/10/05 17:07:15  glen
- rel 3

Revision 1.80  2005/10/03 23:38:31  glen
- remove conflicts, there's no better version available

Revision 1.79  2005/10/03 23:20:54  glen
- fix conflicts parsing

Revision 1.78  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.77  2005/10/03 13:08:39  glen
- added patch for more complete requires line generation for pear makerpm

Revision 1.76  2005/09/30 14:36:43  glen
- php4-cli patch

Revision 1.75  2005/09/30 11:28:50  glen
- rel 2

Revision 1.74  2005/09/29 21:45:43  glen
- Net/FTP.php is also optional

Revision 1.73  2005/09/28 21:44:58  glen
- remove Log section from template.spec

Revision 1.72  2005/09/28 21:25:03  glen
- conflicts line bugfix

Revision 1.71  2005/09/26 20:10:55  glen
- 1.4.1

Revision 1.70  2005/09/21 21:04:01  glen
- fixed dirs

Revision 1.69  2005/09/19 23:42:42  glen
- R: pcre extension; rel 1

Revision 1.68  2005/09/19 21:43:40  glen
- integer BR

Revision 1.67  2005/09/19 21:40:08  glen
- need php-pear with PEAR lockfiles to build

Revision 1.66  2005/09/19 18:57:25  glen
- merged from DEVEL: use new pear packaging system

Revision 1.65.2.17  2005/09/19 17:08:55  glen
- new macros moved to rpm.spec

Revision 1.65.2.16  2005/09/19 08:00:26  glen
- don't care what the builddir is

Revision 1.65.2.15  2005/09/19 07:09:34  glen
- avoid packaging backup files

Revision 1.65.2.14  2005/09/18 19:48:39  glen
- 1.4.0 release

Revision 1.65.2.13  2005/09/18 14:07:28  glen
- updated, added rpmvars patch

Revision 1.65.2.12  2005/09/18 13:38:52  glen
- updated to 1.4.0RC2 (beta)

Revision 1.65.2.11  2005/09/18 13:34:25  glen
- use PLD-ized template for rpm packages
- add patch for PLD package naming schema

Revision 1.65.2.10  2005/09/18 12:40:53  glen
- unify

Revision 1.65.2.9  2005/09/18 11:52:23  glen
- use %post message from pear install

Revision 1.65.2.8  2005/09/18 11:00:35  glen
- use php-pear-build

Revision 1.65.2.7  2005/09/18 10:09:20  glen
- such package method requires php-zlib

Revision 1.65.2.6  2005/09/18 10:07:38  glen
- optional pear/PEAR_Delegator available

Revision 1.65.2.5  2005/09/18 08:44:10  glen
- minimum BR php-pear-PEAR

Revision 1.65.2.4  2005/09/18 08:39:26  glen
- updated

Revision 1.65.2.3  2005/09/18 08:19:21  glen
- create pear.conf

Revision 1.65.2.2  2005/09/17 23:40:30  glen
- remove builddir hack

Revision 1.65.2.1  2005/09/17 23:12:43  glen
- using pear to install files. package filelist differs a little.
  see urpmdiff: http://glen.pastebin.com/366706

Revision 1.65  2005/09/05 06:01:15  adamg
- noautoreq for pear(PEAR/FTP.php)
- release 3

Revision 1.64  2005/09/02 07:03:13  adamg
- release 2 (due to forgotten commit of -memory.patch)

Revision 1.63  2005/09/02 06:56:29  adamg
- updated to 1.4.0b1

Revision 1.62  2005/06/19 14:23:29  glen
- add bigger memory limit patch
- R: php-cli for /usr/bin/pear
- adapterized

Revision 1.61  2005/06/17 21:43:00  undefine
- +x for binaries

Revision 1.60  2005/05/04 20:08:41  adamg
- updated to 1.4.0a11

Revision 1.59  2005/04/06 08:51:47  adamg
- updated to 1.4.0a10

Revision 1.58  2005/03/27 18:57:22  havner
- rel 2

Revision 1.57  2005/03/26 20:02:30  adamg
- updated to 1.4.0a9 (alpha)
- better pl/en description
- removed subpackages, because:
  - PEAR required PEAR-Command, PEAR-Command required PEAR-OS and PEAR-OS
    required PEAR;
  - there was no sense in separating PEAR-Fronted-CLI, since it was only
    one tiny file (whole package was 16 KB big)
- dropped noautoreqdep (no longer needed)

Revision 1.56  2005/02/19 18:00:21  adamg
- updated to 1.3.5

Revision 1.55  2005/01/25 15:33:48  glen
- add pear_dir/PEAR to the package

Revision 1.54  2005/01/02 12:32:47  adamg
- updated to 1.3.4

Revision 1.53  2004/12/05 13:26:21  adamg
- removed _noautoreqdep for pear(/usr/src/readhat/RPMS/i386/PEAR)
- added _noautoreqdep for pear(../PEAR/RunTest.php)
- release 3

Revision 1.52  2004/12/04 14:09:09  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.51  2004/11/12 13:46:17  paladine
- updated to 1.3.3.1

Revision 1.50  2004/10/30 07:07:26  paladine
- unifications

Revision 1.49  2004/10/30 06:57:24  adamg
- updated to 1.3.3

Revision 1.48  2004/10/24 18:59:15  ankry
- pl fix

Revision 1.47  2004/10/24 18:53:07  paladine
- spelling fixes, uppercases, etc.

Revision 1.46  2004/08/09 13:21:42  blues
- release 2 for AC

Revision 1.45  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.44  2004/04/07 10:13:48  adamg
- updated to 1.3.1

Revision 1.43  2004/02/22 16:52:51  adamg
- php-pear-Frontend_CLI (/usr/bin/pear) requires php-pear-Archive_Tar and
  php-pear-Console_Getopt

Revision 1.42  2004/02/22 16:48:17  adamg
- %build section unneeded?

Revision 1.41  2004/02/22 16:25:10  adamg
- updated to 1.3
- status changed to stable

Revision 1.40  2004/02/01 21:45:29  adamg
- updated to 1.3b6

Revision 1.39  2003/12/23 11:16:53  adamg
- updated to 1.3b5

Revision 1.38  2003/10/21 08:06:32  adamg
- updated to 1.3b3

Revision 1.37  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.36  2003/10/02 12:20:45  adamg
- updated to 1.3b2

Revision 1.35  2003/09/29 14:42:50  adamg
- updated 1.3b1

Revision 1.34  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.33  2003/08/15 15:06:37  adamg
- updated to 1.2.1

Revision 1.32  2003/08/14 08:56:46  adamg
- updated to 1.2

Revision 1.31  2003/08/06 06:25:55  adamg
- updated to 1.2b5

Revision 1.30  2003/08/05 06:15:19  adamg
- updated to 1.2b4

Revision 1.29  2003/08/03 20:33:25  adamg
- updated to 1.2b3
- license change from php 2.02 to php 3.0

Revision 1.28  2003/06/23 13:51:03  adamg
- updated to 1.2b2

Revision 1.27  2003/06/22 21:52:47  adamg
- fixed %build and %install (hopefully right). Builds...

Revision 1.26  2003/06/14 09:21:46  adamg
- cosmetics

Revision 1.25  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.24  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.23  2003/05/28 08:58:47  adamg
- massive attack: added source0-md5

Revision 1.22  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/01/19 18:18:38  blues
- applied changes from RA-branch

Revision 1.20  2003/01/11 22:23:11  blues
- 1.0.1

Revision 1.19  2003/01/07 17:34:16  blues
- prepared for removing pear from php

Revision 1.18  2003/01/02 00:26:24  blues
- 1.0 - first stable release

Revision 1.17  2002/11/15 10:56:15  misto
- reverting reverted (and not needed in HEAD) changes
- working Ra version branched in RA-branch
- DON'T MOVE STABLE on HEAD!!!
- release 2

Revision 1.16  2002/11/12 11:26:00  marcus
- readded Provides erased by mistio to satisfy missing deps
  (thanks to blues and PlusGSM)
- rel.2.

Revision 1.15  2002/11/07 17:15:37  blues
- 1.0b1 - noautoreq added

Revision 1.14  2002/10/14 23:50:29  misto
- new rpm-php-requires/provides scripts
- release 6

Revision 1.13  2002/10/14 20:06:54  misto
- merged with branch NEW_PEAR_REQUIRES (new rpm pear req/prov scripts)
- release 6

Revision 1.12.2.1  2002/10/11 19:32:55  misto
- modified provides/requires for new pear-prov/req rpm scripts

Revision 1.12  2002/09/07 06:20:47  blues
- release 5 - fix in macros, added Provides - STBR

Revision 1.11  2002/07/30 22:43:04  blues
- release 4
- added pear command to package (removed from php-pear-devel)
- STBR

Revision 1.10  2002/07/12 22:20:47  blues
- release 3 (rebuild with new rpm)
- gtk frontend removed to external package
- command-line frontend in separate package
- new provides (one not exactly right)

Revision 1.9  2002/07/12 16:00:26  blues
- added provides(stdClass) - temporary empty class

Revision 1.8  2002/07/03 23:55:14  kloczek
- release 2.

Revision 1.7  2002/07/02 10:19:16  blues
- Req: php-pear

Revision 1.6  2002/06/30 22:20:59  blues
- small fix

Revision 1.5  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.4  2002/06/29 14:46:02  blues
- more macros, fixes in dirs

Revision 1.3  2002/06/24 14:07:22  blues
- separate into 3 subpackages

Revision 1.2  2002/06/24 13:34:16  blues
- there is no docs...

Revision 1.1  2002/06/24 13:30:40  blues
- main PEAR class. Should be split into subpackages.
